This represents connection state information for a particular connection to a specific domain. It is tied to the client device rather than the user, so a single user could potentially have multiple sessions open at a time.

### Hierarchy

- ConvergenceSession

## Index

### Methods

- assertOnline
- domain
- isAuthenticated
- isConnected
- reconnectToken
- sessionId
- user

## Methods

### assertOnline

- assertOnline(): void

- Asserts that the user is currently authenticated, throwing a ConvergenceError if not.

  #### Returns void

### domain

- domain(): ConvergenceDomain

- #### Returns ConvergenceDomain

  The ConvergenceDomain for this session

### isAuthenticated

- isAuthenticated(): boolean

- #### Returns boolean

  True if the client is authenticated

### isConnected

- isConnected(): boolean

- #### Returns boolean

  True if the client is connected to the domain

### reconnectToken

- reconnectToken(): string

- #### Returns string

  The reconnectToken for the authenticated client or null if not authenticated

### sessionId

- sessionId(): string

- #### Returns string

  The sessionId of the connected client

### user

- user(): DomainUser

- #### Returns DomainUser

  The user associated with the authenticated client or null if not authenticated